#1984 closed defect (fixed)

CONFIGURE_MINIMUM_STACK_SIZE vs CONFIGURE_MINIMUM_TASK_STACK_SIZE

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: doc Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@…, gedare@… Blocked By:
Blocking:

Description

Documentation and code do not match.

Code has CONFIGURE_MINIMUM_TASK_STACK_SIZE

Attachments (1)

pr1984.diff (758 bytes) - added by Joel Sherrill on Dec 7, 2011 at 7:05:24 PM.
Simple patch to address problem.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Dec 7, 2011 at 7:04:48 PM by Joel Sherrill

Cc: Gedare added

Changed on Dec 7, 2011 at 7:05:24 PM by Joel Sherrill

Attachment: pr1984.diff added

Simple patch to address problem.

comment:2 Changed on Dec 7, 2011 at 7:12:43 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:3 Changed on Dec 8, 2011 at 6:37:33 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:4 Changed on Dec 8, 2011 at 2:20:52 PM by Gedare

Replying to comment:4:

Replying to comment:2:

This is fine. I still am not convinced the default behavior of propagating
user-defined CONFIGURE_MINIMUM_STACK_SIZE to the idle stack size and the
interrupt stack size is a good idea, considering there are specific CONFIGURE
macros for overriding those.

This is one of the strange things I noticed while implementing PR 1924.

Using the normal minimum stack size for the idle thread is a huge waste of
memory in most systems.

Yes we've started to discuss this on the devel list. Might be time to open a PR about this specific quirk before it gets lost in the shuffle.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.